CREATE TABLE `PERF_CARICO_RIPARTIZIONE` (
  `ID_PERF_CARICO_RIPARTIZIONE` bigint(22) NOT NULL AUTO_INCREMENT,
`ID_PERIODO_RIPARTIZIONE` bigint(22) NOT NULL,
`COD_VOCE_INCASSO` varchar(250) NOT NULL,
`ID_RUN_VALORIZZAZIONE` bigint(22) NOT NULL,
`VALORE_INCASSO_NETTO` decimal(15,8) NOT NULL DEFAULT '0.00000000',
`VALORE_PM_MANCANTI` decimal(15,8) NOT NULL DEFAULT '0.00000000',
`VALORE_PM_ANNULLATI` decimal(15,8) NOT NULL DEFAULT '0.00000000',
`VALORE_CARICO_RIPARTIZIONE` decimal(15,8) NOT NULL DEFAULT '0.00000000',
`VALORE_NON_CODIFICATO` decimal(15,8) NOT NULL DEFAULT '0.00000000',
`VALORE_BOLLETTINI_IRREGOLARI` decimal(15,8) NOT NULL DEFAULT '0.00000000',
`VALORE_SOSPENSI` decimal(15,8) NOT NULL DEFAULT '0.00000000',
`VALORE_RIPARTIBILE` decimal(15,8) NOT NULL DEFAULT '0.00000000',
`FLAG_IN_RIPARTIZIONE` bit(1) NOT NULL DEFAULT b'0',
PRIMARY KEY (`ID_PERF_CARICO_RIPARTIZIONE`),
UNIQUE KEY `ID_PERF_CARICO_RIPARTIZIONE_UNIQUE` (`ID_PERF_CARICO_RIPARTIZIONE`),
KEY `ID_LAST_RUN` (`ID_RUN_VALORIZZAZIONE`),
KEY `fk_PERF_CARICO_RIPARTIZIONE_VOCE_INCASSO_idx` (`COD_VOCE_INCASSO`),
CONSTRAINT `fk_PERF_CARICO_RIPARTIZIONE_1_PERF_VALORIZZAZIONE_RUN` FOREIGN KEY (`ID_RUN_VALORIZZAZIONE`) REFERENCES `PERF_VALORIZZAZIONE_RUN` (`ID_VALORIZZAZIONE_RUN`) ON DELETE NO ACTION ON UPDATE NO ACTION,
CONSTRAINT `fk_PERF_CARICO_RIPARTIZIONE_VALORIZZAZIONE_RUN` FOREIGN KEY (`ID_RUN_VALORIZZAZIONE`) REFERENCES `PERF_VALORIZZAZIONE_RUN` (`ID_VALORIZZAZIONE_RUN`) ON DELETE NO ACTION ON UPDATE NO ACTION,
CONSTRAINT `fk_PERF_CARICO_RIPARTIZIONE_VOCE_INCASSO` FOREIGN KEY (`COD_VOCE_INCASSO`) REFERENCES `PERF_VOCE_INCASSO` (`COD_VOCE_INCASSO`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB;
COMMIT;